---------------------------------------------------------------------------
 REXXIP.DLL functions:                          Version 1.1
---------------------------------------------------------------------------
    RxIpInit -- <No Parameters required>                         
                Registers all of the REXXIP functions 
    
    RxIpVersion -- <no Parameters required>
                Returns a string containing the current RexxIp
                version and release numbers.

    RxIpDrop -- <No Parameters required>                         
                Deregisters all of the REXXIP functions 
         
    RxIpConsSay(<Output string>)
                Writes the given string to the console without
                following it with a line feed character.         
                This allows you to write counters and messages   
                without advancing the console one line each time 
                as the "say" command does.
                    
    RxIpConnect(<host>,<port>)                                   
                Attempts to connect to the given host at the     
                given port.                                      
                Returns: 0 IF attempt fails                      
                         any other number > 0 is the socket 
     
    RxIpConnectWait(<host>,<port>,<seconds>)                     
                Same as RxIpConnect but gives up after the       
                specified number of seconds.  IF timeout occurs  
                returns a -1.        
                            
    RxIpPutStr(<socket>,<text>)                                  
               Executes the line of text on the host.  Each
               line is followed by a carriage return/line feed   
               returns 0 IF successful    
                       
    RxIpGetStr(<socket>)                                         
               Attempts to retrieve a line of text from the host.
               Returns a text string containing the line retrieved      
                                   
    RxIpGetStrWait(<socket>,<seconds>)                           
               Same as RxIpGetStr but gives up after the         
               specified number of seconds.  IF timeout occurs  
               returns a -1.         
                            
    RxIpClose(<socket>)                                          
               Closes the given socket.  Returns 0    
           
    RxIpGetFileWait(<socket>,<maxtime>,<idletime>,<filename>)
               Pulls all of the current data into the file       
               into the specified file.  Gives up after the      
               specified number of seconds.  IF timeout occures  
               returns a -1.                     
               NOTE: An additional parameter = "QUIET" may be specified to
               disable the "Bytes Returned" console message.

                
    RxIpFtpSend(<socket>,<total seconds>,<host seconds>,<host file>,<pc file>) 
                Executes an FTP file transfer to the host
                NOTE: An additional parameter = "QUIET" may be specified to
                disable the "Bytes Returned" console message.
   
    RxIpFtpGet(<socket>,<total seconds>,<host seconds>,<host file>,<pc file>)
                Executes an FTP file transfer from the host
                NOTE: An additional parameter = "QUIET" may be specified to
                disable the "Bytes Returned" console message.  
    
    RxIpFtpDir(<socket>,<total seconds>,<host seconds>,<type>,<pc file>)
                Retrieves the current FTP dir list as a file.
                Then directory may contain only a list of file names
                (type = "NLST") or a the filenames along with size
                and file type information (type = "LIST")
                NOTE: An additional parameter = "QUIET" may be specified to
                disable the "Bytes Returned" console message.
   
    RxIpGetListenSocket()                                        
                Creates a listening socket that the FTP server   
                will use to contact the pc.           
           
    RxIpGetHostName(<socket>)                                    
                Returns the socket/host IP address and current   
                port in the form  nnn.nnn.nnn.nnn-nnnn   
        
    RxIpAcceptListenSocket(<listening socket>)                   
                Opens a data socket between the FTP server       
                and the PC.  This is to be called after the      
                creation of the listen socket and after a data   
                request (send or receive) has been made of the   
                ftp host.  It closes the listening socket and    
                returns the data socket number.     

    RxIpErrorText(<error number>)
                Returns the text for the specified REXXIP error number

